import 'package:flutter/material.dart';

import 'html_view_kit_unsupported.dart'
    if (dart.library.html) 'html_view_kit_web.dart';

class HtmlView extends StatelessWidget {
  final String? html;
  final String? src;
  final bool reload;

  const HtmlView({Key? key, this.html, this.src, required this.reload})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return HtmlViewUIKit(
      html: html,
      src: src,
      reload: reload,
    );
  }
}
