
```plantuml
Project --|> Dataset : dataset
Dataset --|> LabellingTask : labellingTask
Dataset --|> DatasetEntry : entry
Dataset --|> ItemPropertySchema : feature
DatasetEntry --|> Item : data
DatasetEntry --|> CategoricalLabel : annotation
LabellingTask --|> LabelOption :labelOption

class DatasetEntry {
	id: String
}

class ItemPropertySchema {
	propertyName: String
	valueType: String
}

class CategoricalLabel {
	id: String
	labelValue: String
}
class LabelOption {
	name: String
}

class LabellingTask {
	name: String
}

class Project {
	name: String
}

class Dataset {
   name : String
   queryStr : String
}

```