import 'package:flutter/material.dart';
import 'package:memri/core/cvu/widgets/renderers/grid_renderer.dart';

/// The grid renderer flow layout
/// This presents the data in a one-after-each-other order
class GridRendererFlowView extends GridRenderer {
  const GridRendererFlowView({Key? key, required spacing, required elements})
      : super(key: key, spacing: spacing, elements: elements);

  @override
  Widget build(BuildContext context) {
    return Wrap(
      spacing: spacing.x.toDouble(),
      runSpacing: spacing.y.toDouble(),
      children: elements,
    );
  }
}
