class DateTimeHelper {
  static final DateTimeHelper _network = DateTimeHelper._internal();

  factory DateTimeHelper() => _network;

  DateTimeHelper._internal();

  String getDateString(int? timeStamp) {
    if (timeStamp == null) {
      return '';
    }
    List<String> months = [
      'January',
      'February',
      'March',
      'April',
      'May',
      'June',
      'July',
      'August',
      'September',
      'October',
      'November',
      'December'
    ];
    DateTime date = DateTime.fromMicrosecondsSinceEpoch(timeStamp * 1000);
    return '${date.day} ${months[date.month]} ${date.year}';
  }
}
